<div class="container-fluid">
  <div class="row">
    <div *ngIf="project" class="project p-2 d-flex flex-column justify-content-center">
      <div class="row">
        <div class="col-lg-12">
          <div class="row p-4">
            <div class="col-lg-4">
              <h1>{{ project.title }}</h1>
              <hr>
              <p>{{ project.description }}</p>
              <div>
                <h3>Technologies</h3>
                <span *ngFor="let technology of project.technologies"
                      class="badge rounded-pill bg-{{setBadgeColour(technology.type)}} m-1">{{ technology.name }}</span>
              </div>
              <div>
                <h3>Links</h3>
                <div *ngFor="let link of project.VCS"><a  class="link" href="{{link.url}}" target="_blank">{{ link.name }}</a></div>
              </div>
            </div>
            <div class="col-sm-12 col-lg-8">
              <app-carousel
                [name]="project.name"
                [images]="project.images"
              ></app-carousel>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
